#pragma once
#include "afxwin.h"


class CDlgReadWrite : public CPropertyPage
{
	DECLARE_DYNAMIC(CDlgReadWrite)

public:
	CDlgReadWrite();
	virtual ~CDlgReadWrite();

	enum { IDD = IDD_DIALOG_READ_WRITE };

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support

	DECLARE_MESSAGE_MAP()
	afx_msg void OnBnClickedButtonRead();
	afx_msg void OnBnClickedButtonWrite();
	afx_msg void OnBnClickedButtonCard();
	virtual BOOL OnInitDialog();
	CString ByteToString(BYTE* pData, UINT nSize);

protected:
	CComboBox	m_ctrlCard;
	CEdit		m_ctrlData;
	CComboBox	m_ctrlDataCount;
};
